<?php

  define('USER_AUTH_TYPE', 'plain');

  class auth {
    var $me;

    function auth() {
      global $base_path;
      include $base_path . "lib/auth/auth." . USER_AUTH_TYPE . ".php";
      eval('$this->me = new auth_'.USER_AUTH_TYPE.'();');
    }

    function Convert($plain_password) {
      return $this->me->Convert($plain_password);
    }
  }

?>